Page MenuHomePhabricator

๐Ÿ‘ฉโ€๐Ÿ‘ง Track how often blocked users attempt to edit
Closed, ResolvedPublic

Description

In order to determine how frequently blocked users attempt to edit (but are prevented) please add a method of tracking that captures how many edit attempts occur. We do not need to capture any personally identifiable information (e.g. username, IP address, etc.) for this โ€” just a raw number of how many edit attempts per hour are rejected.

On desktop and mobile we could add event logging, but we will also want to measure how frequently API edits are blocked. We will probably want to know a split by device type: desktop, mobile, and API.

This can be split in other ways, such as "editor warned before they edited" and "editor warned when they attempt to publish." The requirements are flexible and open to changing as we learn more during development.


Requirements

  • A report of "hourly blocked edits" is available (can be on demand via query, no UI or automated delivery is needed)
  • The report is broken into desktop, mobile, and API edits (or a similar breakdown)
  • The circumstances of how this data is logged is documented, including any known limitations.

Event Timeline

TBolliger changed the task status from Open to Stalled.Mar 14 2018, 6:29 PM
TBolliger triaged this task as Low priority.
TBolliger created this task.
TBolliger moved this task from Untriaged to Blocked on the Anti-Harassment board.

The editor makes use of https://meta.wikimedia.org/wiki/Schema:Edit so events could be tracked there. What is the question you are trying to answer with event logging?

TBolliger renamed this task from TBD: Add event tracking to mobile block warning to TBD: Add event tracking to mobile web block warning.Mar 28 2018, 4:24 PM
TBolliger closed this task as Declined.May 8 2018, 7:12 PM
Restricted Application removed a subscriber: Liuxinyu970226. ยท View Herald TranscriptMay 8 2018, 7:12 PM
TBolliger reopened this task as Open.Jun 11 2018, 9:39 PM

Resurrecting and repurposing...

TBolliger renamed this task from TBD: Add event tracking to mobile web block warning to Track how often blocked user attempt to edit.Jun 11 2018, 9:43 PM
TBolliger updated the task description. (Show Details)
TBolliger moved this task from Blocked to Cards ready to be estimated on the Anti-Harassment board.
TBolliger updated the task description. (Show Details)Aug 10 2018, 3:51 PM

Trevor to break into three tickets:

  1. Logging hard edits fail via API or page rejection โ€” 3
  2. Logging when the VisualEditor + source editor block notice is displayed โ€” 3
  3. Logging the mobile web editor block notice is displayed โ€” 5
TBolliger renamed this task from Track how often blocked user attempt to edit to ๐Ÿ‘ฉโ€๐Ÿ‘ง Track how often blocked user attempt to edit.Sep 21 2018, 7:18 PM

The ๐Ÿ‘ฉโ€๐Ÿ‘งemoji indicates that this is a parent task.

Samtar added a subscriber: Samtar.
fdans moved this task from Incoming to Radar on the Analytics board.Nov 12 2018, 5:38 PM
TBolliger closed this task as Resolved.Dec 13 2018, 9:16 PM
TBolliger claimed this task.
TBolliger moved this task from Ready to Done on the Anti-Harassment (AHT Sprint 35) board.
jrbs renamed this task from ๐Ÿ‘ฉโ€๐Ÿ‘ง Track how often blocked user attempt to edit to ๐Ÿ‘ฉโ€๐Ÿ‘ง Track how often blocked users attempt to edit.Jan 18 2019, 11:44 PM